Bug 1348899 - samba-python: Import of samba.ntacls fails
Summary: samba-python: Import of samba.ntacls fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 09:29 UTC by Uri Simchoni
Modified: 2016-07-06 05:55 UTC (History)
9 users (show)

Fixed In Version: samba-4.3.10-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-06 05:55:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Uri Simchoni 2016-06-22 09:29:19 UTC
Description of problem:
When trying to use the samba python bindings, I fail to import samba.ntacls.
The message I get is "ImportError: No module named xattr_native"

Version-Release number of selected component (if applicable):
samba-python-4.3.10-0.fc23.x86_64

How reproducible:
always reproduces.

Steps to Reproduce:
$python
Python 2.7.11 (default, Jun 13 2016, 14:40:32) 
[GCC 5.3.1 20160406 (Red Hat 5.3.1-6)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import samba.ntacls

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/samba/ntacls.py", line 23, in <module>
    import samba.xattr_native, samba.xattr_tdb, samba.posix_eadb
ImportError: No module named xattr_native


Expected results:
success - no output

Additional info:
With a built-from-source samba on FC23, this works by setting PYTHONPATH to <inst-dir>/lib64/python2.7/site-packages

Comment 1 Guenther Deschner 2016-06-22 10:50:12 UTC
Thanks, working on a backport fix...

Comment 2 Fedora Update System 2016-06-23 13:57:33 UTC
samba-4.3.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f637b89dda

Comment 3 Fedora Update System 2016-06-23 19:25:43 UTC
samba-4.3.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f637b89dda

Comment 4 Fedora Update System 2016-07-06 05:55:35 UTC
samba-4.3.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.